Remove conversational queues after client/server dies
Target version:    

Description

The sanity checks and action shall be improved for ndrxd to remove any dead conversational queues.

This might include seek for queues where given party is involved.

Needs to do overall sanity tests so that we clean up queues as max as possible when processes dies.

History

#1 - 04/03/2017 09:33 PM - Madars

At this stage we are missing: phonesv,3000 which is client on node 19. But looks like queues are not remove, thus ndrxd could kill them:

$ cd  /dev/mqueue

$ ls -l

total 0

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,cnv,c,srv,phonesv,3000,25750,19,1

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,cnv,c,srv,phonesv,3000,25750,19,2

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,cnv,s,srv,phonesv,3000,25750,19,1,srv,micsv,2000,25748,19

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,cnv,s,srv,phonesv,3000,25750,19,2,srv,liveplaysv,2500,25749,19

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,srv,admin,cconfsrv,1,25745

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,srv,admin,cconfsrv,2,25746

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,srv,admin,cpmsrv,9999,25755

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,srv,admin,liveplaysv,2500,25749

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,srv,admin,micsv,2000,25748

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,srv,admin,tpbridge,150,25747

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,srv,reply,cconfsrv,1,25745

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,srv,reply,cconfsrv,2,25746

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,srv,reply,cpmsrv,9999,25755

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,srv,reply,liveplaysv,2500,25749

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,srv,reply,micsv,2000,25748

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,srv,reply,tpbridge,150,25747

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,svc,@CCONF

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,svc,@CPMSVC

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,svc,LIVEPLAY19

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,svc,MIC19

-rw------- 1 mvitolin mvitolin 80 apr  4 00:43 tela,svc,@TPBRIDGE013

-rw------- 1 mvitolin mvitolin 80 apr  4 00:44 tela,sys,bg,ndrxd
#2 - 04/10/2017 08:25 AM - Madars

- Description updated

#3 - 04/28/2017 11:37 AM - Madars

Add unit testing for house-keep:

- Remove multi-thread client queues

- Remove multi-threaded server queues

- Remove bridge queues

- Remove service queues

- Remove conversational client/server pair queue

- If removing conversational queues over the bridges and bridge connection is established, then send new command to other ndrxd to clean up

particular conversational queue.

#4 - 04/28/2017 11:51 AM - Madars

+ implement <respawn> tag for server, so that it is set to "n|N|0", then process is not automatically started by stanity.c

#5 - 05/03/2017 11:13 AM - Madars

- Priority changed from Normal (Code 4) to High (Code 3)

#6 - 05/03/2017 01:14 PM - Madars

+ it would be nice if conversational client died, then notify the other end of connection termination.

#7 - 05/18/2017 09:45 AM - Madars

- Status changed from New to Resolved

#8 - 05/18/2017 09:45 AM - Madars

http://www.endurox.org/projects/endurox/repository/revisions/d81b571b9937f63e91053bcdca616ab5db173e77

#9 - 05/18/2017 09:45 AM - Madars

- Status changed from Resolved to Closed
